<?xml version="1.0" encoding="utf-8"?>
<form
	addruleprefix="JCB\Component\Subformpower\Administrator\Rule"
	addfieldprefix="JCB\Component\Subformpower\Administrator\Field"
>
	<fields name="filter">
		<field
			type="text"
			name="search"
			inputmode="search"
			label="COM_SUBFORMPOWER_FILTER_SEARCH"
			description="COM_SUBFORMPOWER_FILTER_SEARCH_CURRENCIES"
			hint="JSEARCH_FILTER"
		/>
		<field
			type="status"
			name="published"
			label="COM_SUBFORMPOWER_FILTER_PUBLISHED"
			description="COM_SUBFORMPOWER_FILTER_PUBLISHED_CURRENCIES"
			class="js-select-submit-on-change"
		>
			<option value="">JOPTION_SELECT_PUBLISHED</option>
		</field>
		<field
			type="accesslevel"
			name="access"
			label="JGRID_HEADING_ACCESS"
			hint="JOPTION_SELECT_ACCESS"
			multiple="true"
			class="js-select-submit-on-change"
			layout="joomla.form.field.list-fancy-select"
		/>
		<field
			type="currenciesfiltersymbol"
			name="symbol"
			label="COM_SUBFORMPOWER_CURRENCY_SYMBOL_LABEL"
			multiple="false"
			class="js-select-submit-on-change"
		/>
		<input type="hidden" name="form_submited" value="1"/>
	</fields>

	<fields name="list">
		<field
			name="fullordering"
			type="list"
			label="JGLOBAL_SORT_BY"
			class="js-select-submit-on-change"
			default="a.id DESC"
			validate="options"
		>
			<option value="">JGLOBAL_SORT_BY</option>
			<option value="a.ordering ASC">JGRID_HEADING_ORDERING_ASC</option>
			<option value="a.ordering DESC">JGRID_HEADING_ORDERING_DESC</option>
			<option value="a.published ASC">JSTATUS_ASC</option>
			<option value="a.published DESC">JSTATUS_DESC</option>
			<option value="a.symbol ASC">COM_SUBFORMPOWER_FILTER_SYMBOL_ASCENDING</option>
			<option value="a.symbol DESC">COM_SUBFORMPOWER_FILTER_SYMBOL_DESCENDING</option>
			<option value="a.id ASC">JGRID_HEADING_ID_ASC</option>
			<option value="a.id DESC">JGRID_HEADING_ID_DESC</option>
		</field>

		<field
			name="limit"
			type="limitbox"
			label="JGLOBAL_LIST_LIMIT"
			default="25"
			class="js-select-submit-on-change"
		/>
	</fields>
</form>